## grub-installer 1.36ubuntu5

=== debian/changelog ===
grub-installer (1.36ubuntu5) jaunty; urgency=low

  * Handle /dev/mmcblk* in split_device (LP: #348411).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Mar 2009 11:49:58 +0000

grub-installer (1.36ubuntu4) jaunty; urgency=low

  * cciss and ida logical drive numbers may go up to 15, not just 9.
  * Only check for the boot partition being on dmraid if the user allowed us
    to activate dmraid, to cope with cases where dmraid is misdetected
    (LP: #346001).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 20 Mar 2009 18:26:39 +0000

grub-installer (1.36ubuntu3) jaunty; urgency=low

  [ Evan Dandrea ]
  * Clarify why we cannot always default to the device that contains the
    boot partition for grub-installer/bootdev.

  [ Steve Langasek ]
  * Make grub2 available as an option in expert mode again, restoring the
    Debian behavior.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 16 Mar 2009 00:13:02 -0700

grub-installer (1.36ubuntu2) jaunty; urgency=low

  * Check dmraid's exit code as well as parsing its output, the latter for
    backward compatibility with dmraid << 1.0.0.rc15-1~exp4 only
    (LP: #325947).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 12 Feb 2009 12:42:05 +0000

grub-installer (1.36ubuntu1) jaunty; urgency=low

  * Resynchronise with Debian (XFS change fixes LP: #8058). Remaining
    changes:
    - Show the grub menu and raise the menu timeout if other operating
      systems are installed.
    - Ask grub-installer/only_debian at medium priority.
    - Remove splash boot parameter unless debian-installer/framebuffer=true.
    - If / or /boot are on a removable device, install GRUB there by
      default.
    - Only mount /target/proc if it isn't already mounted.
    - Support setting OVERRIDE_UNSUPPORTED_OS in the environment to force
      grub-installer to use its default MBR selection method despite there
      being unsupported operating systems on the disk.
    - Unless grub-installer/make_active is preseeded to false, mark the
      partition to which GRUB is being installed as bootable, or failing
      that the first available primary partition on the disk to which GRUB
      is being installed.
    - Support grub-installer/bootdev_directory preseeding to make use of the
      relative path feature of grub4dos, so that we can point grub4dos at
      part of a disk for Wubi. Setting this disables normal grub
      installation, but still generates a device.map; it also hides the
      menu.
    - Only support grub-installer/grub2_instead_of_grub_legacy by preseeding
      for now.
    - Handle cases where /boot is bind-mounted.
    - Add another guard against calling 'udevadm info' with an empty device
      name.
    - Add support for writing an MBR on each disk in an mdadm-managed RAID
      providing /boot.
    - Properly make use of output from os-prober to configure the booting of
      other operating systems on dmraid arrays. Attempt to guess where in
      the device map the array belongs, by substituting the first drive in
      the dmraid array for the dmraid array device node itself, and removing
      any reference to other member disks of the array.
    - Add support for lpia.
    - Handle /boot being on a virtio device.
    - Set a sensible default boot device when /cdrom is not iso9660, as this
      is probably a USB install and (hd0) does not make sense when
      installing from a removable disk.
    - Use rootnoverify rather than root when chain-loading Microsoft
      operating systems.
    - 'dmraid -c -s' changed its output format; cope with both old and new.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 23 Jan 2009 13:19:18 +0000

grub-installer (1.35ubuntu4) jaunty; urgency=low

  * Fix syntax error in otheros.sh.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 21 Nov 2008 23:52:52 +0000

grub-installer (1.35ubuntu3) jaunty; urgency=low

  * Nail another instance of dmraid output-checking.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 21 Nov 2008 21:08:56 +0000

grub-installer (1.35ubuntu2) jaunty; urgency=low

  * Hide GRUB menu if grub-installer/bootdev_directory is preseeded; this is
    used in the Wubi case where GRUB is used as a secondary boot loader, and
    so the user already had a chance to boot from another operating system
    (thanks, Agostino Russo; LP: #289791).
  * Use rootnoverify rather than root when chain-loading Microsoft operating
    systems (LP: #10661).
  * 'dmraid -c -s' changed its output format; cope with both old and new.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 21 Nov 2008 21:00:39 +0000

grub-installer (1.35ubuntu1) jaunty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Show the grub menu and raise the menu timeout if other operating
      systems are installed.
    - Ask grub-installer/only_debian at medium priority.
    - Remove splash boot parameter unless debian-installer/framebuffer=true.
    - If / or /boot are on a removable device, install GRUB there by
      default.
    - Only mount /target/proc if it isn't already mounted.
    - Support setting OVERRIDE_UNSUPPORTED_OS in the environment to force
      grub-installer to use its default MBR selection method despite there
      being unsupported operating systems on the disk.
    - Unless grub-installer/make_active is preseeded to false, mark the
      partition to which GRUB is being installed as bootable, or failing
      that the first available primary partition on the disk to which GRUB
      is being installed.
    - Support grub-installer/bootdev_directory preseeding to make use of the
      relative path feature of grub4dos, so that we can point grub4dos at
      part of a disk for installation-from-windows. Setting this disables
      normal grub installation, but still generates a device.map.
    - Only support grub-installer/grub2_instead_of_grub_legacy by preseeding
      for now.
    - Handle cases where /boot is bind-mounted.
    - Add another guard against calling 'udevadm info' with an empty device


=== debian/control ===
Source: grub-installer
Section: debian-installer
Priority: standard
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Otavio Salvador <otavio@debian.org>, Frans Pop <fjp@debian.org>, Robert Millan <rmh@aybabtu.com>
Build-Depends: debhelper (>= 4.2), po-debconf (>= 0.5.0)
XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/arch/i386/grub-installer
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/grub-installer/ubuntu

Package: grub-installer
Architecture: i386 hurd-i386 amd64 kfreebsd-i386 kfreebsd-amd64 powerpc lpia
Provides: bootable-system
Depends: cdebconf-udeb, kernel-installer, created-fstab, di-utils (>= 1.15), di-utils-mapdevfs, os-prober, partman-utils, fdisk-udeb
XB-Installer-Menu-Item: 7400
XC-Package-Type: udeb
Description: Install GRUB on a hard disk

## grub-installer 1.43ubuntu8netbook1

=== debian/changelog ===
grub-installer (1.43ubuntu8netbook1) karmic; urgency=low

  * functions.sh: Check whether $ROOT/etc/mtab is a symlink, not /etc/mtab.
    (LP: #484832)

 -- Steve Magoun <steve.magoun@canonical.com>  Thu, 19 Nov 2009 22:40:07 -0500

grub-installer (1.43ubuntu8) karmic; urgency=low

  * If using GRUB 2 and installing to a RAID device any of whose components
    are partitions, then default to installing to the MBRs of each of the
    containing disks, since GRUB 2 will refuse to install to the partition
    devices (LP: #457687).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 23 Oct 2009 22:02:19 +0100

grub-installer (1.43ubuntu7) karmic; urgency=low

  * Mount /target/sys when running update-grub (LP: #456776).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 21 Oct 2009 14:08:00 +0100

grub-installer (1.43ubuntu6) karmic; urgency=low

  * Always use GRUB Legacy when /boot is on a multipath device.
  * If /boot is on SATA RAID or multipath, don't ask a question to which
    there's only one acceptable answer and the other causes grub-installer
    to fall over (LP: #452118).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 15 Oct 2009 15:14:54 +0100

grub-installer (1.43ubuntu5) karmic; urgency=low

  * Fix mishandling of loop variable that caused the semi-manual
    dmraid/multipath/mdadm handling to fire even for disks that don't need
    it (LP: #444583).
  * Never use the semi-manual GRUB setup code for GRUB 2, since it won't
    work anyway.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 06 Oct 2009 16:13:02 +0100

grub-installer (1.43ubuntu4) karmic; urgency=low

  * Fix typo in fallback case when computing $disc_offered_devfs.
  * If /boot is on an MD device and we're using GRUB 2, install GRUB there
    rather than (hd0); GRUB 2 will interpret that as meaning that it needs
    to install to each of the RAID members (LP: #427048).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 02 Oct 2009 15:22:33 +0100

grub-installer (1.43ubuntu3) karmic; urgency=low

  * Fix some hardcoded uses of /target.
  * grub_write_divider is specific to GRUB Legacy; don't call it for GRUB 2.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 23 Sep 2009 15:15:33 +0100

grub-installer (1.43ubuntu2) karmic; urgency=low

  * Explicitly install os-prober when using GRUB 2, since it does a better
    job than the otheros script (LP: #433259).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Sep 2009 12:28:32 +0100

grub-installer (1.43ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Show the grub menu and raise the menu timeout if other operating
      systems are installed (only for GRUB Legacy right now).
    - Ask grub-installer/only_debian at medium priority.
    - Remove splash boot parameter unless debian-installer/framebuffer=true.
    - If / or /boot are on a removable device, install GRUB there by
      default.
    - Only mount /target/proc if it isn't already mounted.
    - Support setting OVERRIDE_UNSUPPORTED_OS in the environment to force
      grub-installer to use its default MBR selection method despite there
      being unsupported operating systems on the disk.
    - Unless grub-installer/make_active is preseeded to false, mark the
      partition to which GRUB is being installed as bootable, or failing
      that the first available primary partition on the disk to which GRUB
      is being installed.
    - Support grub-installer/bootdev_directory preseeding to make use of the
      relative path feature of grub4dos, so that we can point grub4dos at
      part of a disk for Wubi. Setting this disables normal grub
      installation, but still generates a device.map (for GRUB Legacy only);
      it also hides the menu.
    - Handle cases where /boot is bind-mounted.
    - Add support for writing an GRUB Legacy MBR on each disk in an
      mdadm-managed RAID providing /boot. (GRUB 2 can handle this already.)
    - Properly make use of output from os-prober to configure the booting of
      other operating systems on dmraid arrays. Attempt to guess where in
      the device map the array belongs, by substituting the first drive in
      the dmraid array for the dmraid array device node itself, and removing
      any reference to other member disks of the array.
    - Set a sensible default boot device when /cdrom is not iso9660, as this
      is probably a USB install and (hd0) does not make sense when
      installing from a removable disk.
    - Go back to using update-grub -y for GRUB Legacy for now; our grub
      package is a bit old and still requires this.
    - Default to grub2 for GPT systems.
    - Allow grub/grub2 choice for ext4, though still default to grub2.
    - Preseed grub-pc/install_devices based on grub-installer/bootdev.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Sep 2009 06:56:30 +0100

grub-installer (1.43) unstable; urgency=low

  [ Felix Zielcke ]
  * Also purge grub-legacy when switching from grub-pc to grub.

  [ Colin Watson ]
  * Cope with Windows 7 in os-prober output.

  [ Updated translations ]
  * Estonian (et.po) by Mattias Põldaru

 -- Colin Watson <cjwatson@debian.org>  Mon, 14 Sep 2009 14:02:40 +0100

grub-installer (1.42ubuntu2) karmic; urgency=low

  * Preseed grub-pc/install_devices based on grub-installer/bootdev (LP:
    #420604).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 02 Sep 2009 13:56:22 +0100

grub-installer (1.42ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Show the grub menu and raise the menu timeout if other operating
      systems are installed (only for GRUB Legacy right now).
    - Ask grub-installer/only_debian at medium priority.
    - Remove splash boot parameter unless debian-installer/framebuffer=true.
    - If / or /boot are on a removable device, install GRUB there by
      default.
    - Only mount /target/proc if it isn't already mounted.
    - Support setting OVERRIDE_UNSUPPORTED_OS in the environment to force


=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: standard
 Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Joey Hess <joeyh@debian.org>, Otavio Salvador <otavio@debian.org>, Frans Pop <fjp@debian.org>, Robert Millan <rmh@aybabtu.com>
-Build-Depends: debhelper (>= 4.2), po-debconf (>= 0.5.0)
+Uploaders: Joey Hess <joeyh@debian.org>, Otavio Salvador <otavio@debian.org>, Robert Millan <rmh@aybabtu.com>, Felix Zielcke <fzielcke@z-51.de>, Colin Watson <cjwatson@debian.org>
+Build-Depends: debhelper (>= 7.3.10~), po-debconf (>= 0.5.0)
 XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/arch/i386/grub-installer
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/grub-installer/ubuntu
+DM-Upload-allowed: yes
 
 Package: grub-installer
 Architecture: i386 hurd-i386 amd64 kfreebsd-i386 kfreebsd-amd64 powerpc lpia

## grub-installer 1.49ubuntu11.2

=== debian/changelog ===
grub-installer (1.49ubuntu11.2) lucid-proposed; urgency=low

  * Canonicalise device names printed by 'mdadm --detail' (LP: #695842).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 10 Feb 2011 19:51:23 +0000

grub-installer (1.49ubuntu11.1) lucid-proposed; urgency=low

  * Install GRUB to the SATA RAID or multipath device when /boot is on such
    a device, rather than installing to the first hard disk (LP: #603854).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 10 Nov 2010 13:16:08 +0000

grub-installer (1.49ubuntu11) lucid; urgency=low

  * 'nosplash' doesn't work because it isn't passed through by user-params.
    Use debian-installer/splash=false for this behaviour instead
    (LP: #548954).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 06 Apr 2010 13:26:16 +0100

grub-installer (1.49ubuntu10) lucid; urgency=low

  * Historically, Ubuntu's default behaviour in the absence of command-line
    arguments to the installer has been to pass 'splash' to the installed
    system so that it gets a splash screen (and similarly 'quiet').  There's
    some argument that this behaviour should require passing 'splash' to the
    installer as well, but it's too late in the Lucid cycle for this change.
    Nevertheless, we need a way to configure images such that they don't get
    'splash' in the installed system, so introduce a 'nosplash' argument
    which inhibits this, for use by the server CD (LP: #548954).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 01 Apr 2010 23:44:48 +0100

grub-installer (1.49ubuntu9) lucid; urgency=low

  * Ask grub-installer/only_debian at high priority again (LP: #47135).
    Originally, in Warty, we ensured that this question wouldn't be visible
    by default to support simple installations of Ubuntu with as few
    questions as possible.  However, since then, we wrote Ubiquity, which
    has taken over responsibility for the simple installation case, and it's
    become clear that automatically installing GRUB to the first disk's MBR
    is inadequate for many more complex situations.  Ironically, Ubiquity
    makes this option easily accessible from the "Advanced" dialog box, but
    Ubuntu's d-i required a special boot parameter to display it.
  * Update grub-installer/bootdev text to avoid GRUB device naming that
    changed between GRUB Legacy and GRUB 2, and to use libata-style device
    naming since that is more accurate for most people (LP: #391775)

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 26 Mar 2010 11:34:43 +0000

grub-installer (1.49ubuntu8) lucid; urgency=low

  * Bind-mount /proc and /sys while running grub-install (LP: #527210).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 22 Mar 2010 21:33:27 +0000

grub-installer (1.49ubuntu7) lucid; urgency=low

  * Fix GPT detection to account for changed fdisk output (LP: #538100).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Mar 2010 10:00:46 +0000

grub-installer (1.49ubuntu6) lucid; urgency=low

  * Fix partition offset handling for GRUB Legacy.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 09 Mar 2010 11:29:05 +0000

grub-installer (1.49ubuntu5) lucid; urgency=low

  [ Joel Ebel ]
  * Add missing $serial to get proper detection of serial console options
    working.

 -- Evan Dandrea <evand@ubuntu.com>  Fri, 19 Feb 2010 17:41:03 -0500

grub-installer (1.49ubuntu4) lucid; urgency=low

  * Preseed grub-pc/install_devices_empty while installing grub-pc, since we
    deliberately defer calling grub-install until a later point.  Thanks to
    Dustin Kirkland for debugging assistance.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Feb 2010 12:24:22 -0800

grub-installer (1.49ubuntu3) lucid; urgency=low

  * Add $partition_offset to $bootpart when deciding which partition to make
    active based on GRUB-style device names (found while testing fix for LP
    #185878).
  * Use grub-probe to convert device names rather than relying on
    device.map.
  * Only add removable devices to device.map if using GRUB Legacy.
  * Use an appropriate OS device name rather than (hd0) if possible.
  * When installing from a non-CD medium, we only need to reset the default
    boot device if we would otherwise end up installing GRUB to the
    installation medium.
  * Convert device names to by-id form before preseeding
    grub-pc/install_devices.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 03 Feb 2010 17:08:02 -0800

grub-installer (1.49ubuntu2) lucid; urgency=low

  * Don't check for LVM when we've already worked out that we're installing
    on SATA RAID.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 20 Jan 2010 19:04:14 +0000

grub-installer (1.49ubuntu1) lucid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Show the grub menu and raise the menu timeout if other operating
      systems are installed (only for GRUB Legacy right now).
    - Ask grub-installer/only_debian at medium priority.
    - Remove splash boot parameter unless debian-installer/framebuffer=true.
    - If / or /boot are on a removable device, install GRUB there by
      default.
    - Only mount /target/proc if it isn't already mounted.
    - Support setting OVERRIDE_UNSUPPORTED_OS in the environment to force
      grub-installer to use its default MBR selection method despite there
      being unsupported operating systems on the disk.
    - Unless grub-installer/make_active is preseeded to false, mark the
      partition to which GRUB is being installed as bootable, or failing
      that the first available primary partition on the disk to which GRUB
      is being installed.
    - Support grub-installer/bootdev_directory preseeding to make use of the
      relative path feature of grub4dos, so that we can point grub4dos at
      part of a disk for Wubi. Setting this disables normal grub
      installation, but still generates a device.map (for GRUB Legacy only);
      it also hides the menu.
    - Handle cases where /boot is bind-mounted.
    - Add support for writing an GRUB Legacy MBR on each disk in an


=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: standard
 Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Joey Hess <joeyh@debian.org>, Otavio Salvador <otavio@debian.org>, Robert Millan <rmh@aybabtu.com>, Felix Zielcke <fzielcke@z-51.de>, Colin Watson <cjwatson@debian.org>
+Uploaders: Joey Hess <joeyh@debian.org>, Otavio Salvador <otavio@debian.org>, Felix Zielcke <fzielcke@z-51.de>, Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper (>= 7.3.10~), po-debconf (>= 0.5.0)
 XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/arch/i386/grub-installer
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/grub-installer/ubuntu

## grub-installer 1.55ubuntu4.1

=== debian/changelog ===
grub-installer (1.55ubuntu4.1) maverick-proposed; urgency=low

  * Canonicalise device names printed by 'mdadm --detail' (LP: #695842).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 10 Feb 2011 19:52:41 +0000

grub-installer (1.55ubuntu4) maverick; urgency=low

  * Install GRUB to the SATA RAID or multipath device when /boot is on such
    a device, rather than installing to the first hard disk (LP: #603854).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 05 Oct 2010 21:57:05 +0100

grub-installer (1.55ubuntu3) maverick; urgency=low

  * Purge grub-efi* when $grub_package is grub or grub-pc, and purge grub,
    grub-legacy, and grub-pc when $grub_package is grub-efi (LP: #632642).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 08 Sep 2010 10:29:51 +0100

grub-installer (1.55ubuntu2) maverick; urgency=low

  [ Soren Hansen ]
  * Add a preseedable grub-installer/timeout template to adjust the initial
    GRUB timeout (LP: #628418).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 06 Sep 2010 12:07:05 +0100

grub-installer (1.55ubuntu1) maverick; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Show the grub menu and raise the menu timeout if other operating
      systems are installed (only for GRUB Legacy right now).
    - Remove splash boot parameter unless debian-installer/framebuffer=true
      and debian-installer/splash=true.
    - If / or /boot are on a removable device, install GRUB there by
      default.
    - Only mount /target/proc if it isn't already mounted.
    - Support setting OVERRIDE_UNSUPPORTED_OS in the environment to force
      grub-installer to use its default MBR selection method despite there
      being unsupported operating systems on the disk.
    - Unless grub-installer/make_active is preseeded to false, mark the
      partition to which GRUB is being installed as bootable, or failing
      that the first available primary partition on the disk to which GRUB
      is being installed.
    - Support grub-installer/bootdev_directory preseeding to make use of the
      relative path feature of grub4dos, so that we can point grub4dos at
      part of a disk for Wubi. Setting this disables normal grub
      installation, but still generates a device.map (for GRUB Legacy only);
      it also hides the menu.
    - Handle cases where /boot is bind-mounted.
    - Add support for writing an GRUB Legacy MBR on each disk in an
      mdadm-managed RAID providing /boot. (GRUB 2 can handle this already.)
    - Properly make use of output from os-prober to configure the booting of
      other operating systems on dmraid arrays. Attempt to guess where in
      the device map the array belongs, by substituting the first drive in
      the dmraid array for the dmraid array device node itself, and removing
      any reference to other member disks of the array.
    - Set a sensible default boot device when /cdrom is not iso9660, as this
      is probably a USB install and (hd0) does not make sense when
      installing from a removable disk.
    - Go back to using update-grub -y for GRUB Legacy for now; our grub
      package is a bit old and still requires this.
    - Default to grub2 for GPT systems.
    - Allow grub/grub2 choice for ext4, though still default to grub2.
    - If /boot is on an MD device and we're using GRUB 2, install GRUB there
      rather than (hd0); GRUB 2 will interpret that as meaning that it needs
      to install to each of the RAID members.
    - Mount /target/sys when running update-grub.
    - If using GRUB 2 and installing to a RAID device any of whose
      components are partitions, then default to installing to the MBRs of
      each of the containing disks, since GRUB 2 will refuse to install to
      the partition devices.
    - Bind-mount /proc and /sys while running grub-install.
    - Update grub-installer/bootdev text to avoid GRUB device naming that
      changed between GRUB Legacy and GRUB 2, and to use libata-style device
      naming since that is more accurate for most people.
    - Install grub-efi on i386/efi and amd64/efi subarchitectures.
  * Don't ask for a boot device on EFI, and don't pass a boot device
    argument to grub-install.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 03 Sep 2010 10:54:21 +0100

grub-installer (1.55) unstable; urgency=low

  [ Aurelien Jarno ]
  * Allow booting on ext2fs or xfs partition using grub-pc (for 
    GNU/kFreeBSD).
 
  [ Updated translations ]
  * Asturian (ast.po) by maacub
  * Bulgarian (bg.po) by Damyan Ivanov
  * Danish (da.po) by Jacob Sparre Andersen
  * Persian (fa.po) by Behrad Eslamifar
  * Serbian (sr.po) by Karolina Kalic

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 23 Aug 2010 00:30:49 +0200

grub-installer (1.54) unstable; urgency=low

  * Only set postinst_hook and postrm_hook in /etc/kernel-img.conf if
    /etc/kernel/postinst.d/zz-update-grub does not exist.

  [ Updated translations ]
  * Persian (fa.po) by Ebrahim Byagowi
  * Finnish (fi.po) by Esko Arajärvi
  * Kurdish (ku.po) by Erdal Ronahi
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Serbian (sr.po) by Janos Guljas
  * Serbian Latin (sr@latin.po) by Karolina Kalic

 -- Colin Watson <cjwatson@debian.org>  Wed, 04 Aug 2010 06:59:23 +0100

grub-installer (1.53) unstable; urgency=low

  [ Updated translations ]
  * Kurdish (ku.po) by Erdal Ronahi

 -- Christian Perrier <bubulle@debian.org>  Sun, 11 Jul 2010 18:20:11 +0200

grub-installer (1.52) unstable; urgency=low

  * Merge from Ubuntu:
    - Resolve symlinks in default boot device.

  [ Updated translations ]
  * Belarusian (be.po) by Viktar Siarheichyk
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Macedonian (mk.po) by Arangel Angov
  * Ukrainian (uk.po) by Borys Yanovych

 -- Colin Watson <cjwatson@debian.org>  Thu, 08 Jul 2010 13:17:03 +0100

grub-installer (1.51) unstable; urgency=low

  * Merge from Ubuntu:
    - Use grub-probe to convert device names rather than relying on
      device.map.


## grub-installer 1.60ubuntu4

=== debian/changelog ===
grub-installer (1.60ubuntu4) natty-proposed; urgency=low

  * Restore the ability to choose to install GRUB Legacy by preseeding
    (grub-installer/grub2_instead_of_grub_legacy=false), removed in 1.60 as
    a side-effect of removing a warning message.  This is still useful e.g.
    when installing inside Xen (LP: #857548).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 23 Sep 2011 21:47:03 +0100

grub-installer (1.60ubuntu3) natty; urgency=low

  * Remove grub-gfxpayload-lists in situations where we need to remove
    grub-pc (LP: #765270).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 20 Apr 2011 21:47:46 +0100

grub-installer (1.60ubuntu2) natty; urgency=low

  * Fix reference to Debian in Norwegian Bokmål translation (LP: #718236).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 23 Mar 2011 16:34:39 +0000

grub-installer (1.60ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Show the grub menu and raise the menu timeout if other operating
      systems are installed (only for GRUB Legacy right now).
    - Remove splash boot parameter unless debian-installer/framebuffer=true
      and debian-installer/splash=true.
    - If / or /boot are on a removable device, install GRUB there by
      default.
    - Only mount /target/proc if it isn't already mounted.
    - Support setting OVERRIDE_UNSUPPORTED_OS in the environment to force
      grub-installer to use its default MBR selection method despite there
      being unsupported operating systems on the disk.
    - Unless grub-installer/make_active is preseeded to false, mark the
      partition to which GRUB is being installed as bootable, or failing
      that the first available primary partition on the disk to which GRUB
      is being installed.
    - Support grub-installer/bootdev_directory preseeding to make use of the
      relative path feature of grub4dos, so that we can point grub4dos at
      part of a disk for Wubi. Setting this disables normal grub
      installation, but still generates a device.map (for GRUB Legacy only);
      it also hides the menu.
    - Handle cases where /boot is bind-mounted.
    - Add support for writing an GRUB Legacy MBR on each disk in an
      mdadm-managed RAID providing /boot. (GRUB 2 can handle this already.)
    - Properly make use of output from os-prober to configure the booting of
      other operating systems on dmraid arrays. Attempt to guess where in
      the device map the array belongs, by substituting the first drive in
      the dmraid array for the dmraid array device node itself, and removing
      any reference to other member disks of the array.
    - Go back to using update-grub -y for GRUB Legacy for now; our grub
      package is a bit old and still requires this.
    - Default to grub2 for GPT systems.
    - Allow grub/grub2 choice for ext4, though still default to grub2.
    - If /boot is on an MD device and we're using GRUB 2, install GRUB there
      rather than (hd0); GRUB 2 will interpret that as meaning that it needs
      to install to each of the RAID members.
    - If using GRUB 2 and installing to a RAID device any of whose
      components are partitions, then default to installing to the MBRs of
      each of the containing disks, since GRUB 2 will refuse to install to
      the partition devices.
    - Bind-mount /proc and /sys while running grub-install.
    - Update grub-installer/bootdev text to avoid GRUB device naming that
      changed between GRUB Legacy and GRUB 2, and to use libata-style device
      naming since that is more accurate for most people.
    - On i386/efi and amd64/efi subarchitectures, install grub-efi and purge
      grub, grub-legacy, and grub-pc; elsewhere, purge grub-efi*.
    - Don't ask for a boot device on EFI, and don't pass a boot device
      argument to grub-install.
    - Add a preseedable grub-installer/timeout template to adjust the
      initial GRUB timeout.
    - Install GRUB to the SATA RAID or multipath device when /boot is on
      such a device, rather than installing to the first hard disk.
  * If the first disk has neither a partition table nor a filesystem, don't
    try to install to it as grub-setup will refuse (LP: #711830).
  * Canonicalise device names printed by 'mdadm --detail' (LP: #695842).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 10 Feb 2011 14:05:10 +0000

grub-installer (1.60) unstable; urgency=low

  * Drop warning about GRUB 2 being experimental. Closes: #610365.

 -- Otavio Salvador <otavio@debian.org>  Mon, 17 Jan 2011 21:41:47 -0200

grub-installer (1.59) unstable; urgency=low

  [ Julien Cristau ]
  * Amend changes from 1.57: call device_to_disk on the device mounted as
    cdrom.  Booting from a disk or usb device, that may end up being
    /dev/sda1 instead of /dev/sda, defeating the "we shouldn't install GRUB to
    the installation media" test.  In addition, avoid installing GRUB to the
    device mounted on /hd-media.  Closes: #605562.

  [ Updated translations ]
  * Northern Sami (se.po) by Børre Gaup

 -- Otavio Salvador <otavio@ossystems.com.br>  Sat, 15 Jan 2011 16:49:51 -0200

grub-installer (1.58) unstable; urgency=low

  [ Christian Perrier ]
  * Change text of examples in debconf templates to fit the new
    partition numbering scheme in GRUB 2. Closes: #581687

  [ Updated translations ]
  * Hindi (hi.po) by Kumar Appaiah
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Central Khmer (km.po) by Khoem Sokhem
  * Lao (lo.po) by Anousak Souphavanh
  * Malayalam (ml.po) by Praveen Arimbrathodiyil
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel
  * Northern Sami (se.po) by Børre Gaup
  * Slovak (sk.po) by Ivan Masár
  * Telugu (te.po) by Arjuna Rao Chavala

 -- Otavio Salvador <otavio@debian.org>  Fri, 24 Dec 2010 19:01:42 -0200

grub-installer (1.57ubuntu2) natty; urgency=low

  * Ignore words not beginning with "/dev/" in 'mdadm --detail' output
    (LP: #680751).



## grub-installer 1.60+squeeze3

=== debian/changelog ===
grub-installer (1.60+squeeze3) stable; urgency=low

  * Restore the ability to choose to install GRUB Legacy by preseeding
    (grub-installer/grub2_instead_of_grub_legacy=false), removed in 1.60 as
    a side-effect of removing a warning message.  This is still useful e.g.
    when installing inside Xen.

 -- Colin Watson <cjwatson@debian.org>  Mon, 26 Sep 2011 20:58:38 +0000

grub-installer (1.60+squeeze2) squeeze; urgency=low

  * Upload to drop .git from source tarball

 -- Otavio Salvador <otavio@debian.org>  Sat, 12 Mar 2011 15:27:43 -0300

grub-installer (1.60+squeeze1) stable-proposed-updates; urgency=low

  * Set debconf title to avoid reusing a previous one.

 -- Otavio Salvador <otavio@debian.org>  Sun, 06 Mar 2011 12:23:42 -0300

=== debian/control ===
Source: grub-installer
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Otavio Salvador <otavio@debian.org>, Felix Zielcke <fzielcke@z-51.de>, Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper (>= 7.3.10~), po-debconf (>= 0.5.0)
Vcs-Browser: http://git.debian.org/?p=d-i/grub-installer.git
Vcs-Git: git://git.debian.org/d-i/grub-installer.git
DM-Upload-allowed: yes

Package: grub-installer
Architecture: i386 hurd-i386 amd64 kfreebsd-i386 kfreebsd-amd64 powerpc
Provides: bootable-system
Depends: cdebconf-udeb, kernel-installer, created-fstab, di-utils (>= 1.15), di-utils-mapdevfs, os-prober, partman-utils
XB-Installer-Menu-Item: 7400
XC-Package-Type: udeb
Description: Install GRUB on a hard disk

## grub-installer 1.68ubuntu5.1

=== Makefile ===
CFLAGS := -Os -g -Wall

all: ensure-active

ensure-active: ensure-active.c
	$(CC) $(CFLAGS) $^ -o $@ -lparted

clean:
	rm -f ensure-active

=== debian/changelog ===
grub-installer (1.68ubuntu5.1) precise-proposed; urgency=low

  * If the SecureBoot EFI variable is set, then install
    grub-efi-amd64-signed rather than grub-efi, along with shim-signed if
    available; adjust removal handling to match (LP: #1075181).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 12 Nov 2012 00:55:04 +0000

grub-installer (1.68ubuntu5) precise; urgency=low

  * Update Ubuntu-specific translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 11 Apr 2012 11:43:22 +0100

grub-installer (1.68ubuntu4) oneiric; urgency=low

  * Remove spurious newline from debian/po/bs.po, fixing ubiquity FTBFS.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 29 Sep 2011 18:04:42 -0600

grub-installer (1.68ubuntu3) oneiric; urgency=low

  * Only process the output of os-prober into boot menu entries if we're
    actually going to use them; if we're using GRUB 2 and os-prober is
    installed, then it will deal with this itself and do a better job of it
    (LP: #851704).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 29 Sep 2011 09:00:21 +0100

grub-installer (1.68ubuntu2) oneiric; urgency=low

  * Really allow grub/grub2 choice for ext4 (lost in merge).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 23 Sep 2011 21:44:55 +0100

grub-installer (1.68ubuntu1) oneiric; urgency=low

  * Resynchronise with Debian (preseeding change in 1.68 fixes LP: #857548).
    Remaining changes:
    - Show the grub menu and raise the menu timeout if other operating
      systems are installed (only for GRUB Legacy right now).
    - Remove splash boot parameter unless debian-installer/framebuffer=true
      and debian-installer/splash=true.
    - If / or /boot are on a removable device, install GRUB there by
      default.
    - Only mount /target/proc if it isn't already mounted.
    - Support setting OVERRIDE_UNSUPPORTED_OS in the environment to force
      grub-installer to use its default MBR selection method despite there
      being unsupported operating systems on the disk.
    - Support grub-installer/bootdev_directory preseeding to make use of the
      relative path feature of grub4dos, so that we can point grub4dos at
      part of a disk for Wubi. Setting this disables normal grub
      installation, but still generates a device.map (for GRUB Legacy only);
      it also hides the menu.
    - Handle cases where /boot is bind-mounted.
    - Add support for writing an GRUB Legacy MBR on each disk in an
      mdadm-managed RAID providing /boot. (GRUB 2 can handle this already.)
    - Properly make use of output from os-prober to configure the booting of
      other operating systems on dmraid arrays. Attempt to guess where in
      the device map the array belongs, by substituting the first drive in
      the dmraid array for the dmraid array device node itself, and removing
      any reference to other member disks of the array.
    - Go back to using update-grub -y for GRUB Legacy for now; our grub
      package is a bit old and still requires this.
    - Default to grub2 for GPT systems.
    - Allow grub/grub2 choice for ext4, though still default to grub2.
    - If /boot is on an MD device and we're using GRUB 2, install GRUB there
      rather than (hd0); GRUB 2 will interpret that as meaning that it needs
      to install to each of the RAID members.
    - If using GRUB 2 and installing to a RAID device any of whose
      components are partitions, then default to installing to the MBRs of
      each of the containing disks, since GRUB 2 will refuse to install to
      the partition devices.
    - On i386/efi and amd64/efi subarchitectures, install grub-efi and purge
      grub, grub-legacy, and grub-pc; elsewhere, purge grub-efi*.
    - Add a preseedable grub-installer/timeout template to adjust the
      initial GRUB timeout.
    - Install GRUB to the SATA RAID or multipath device when /boot is on
      such a device, rather than installing to the first hard disk.
    - Remove grub-gfxpayload-lists in situations where we need to remove
      grub-pc.
    - Remove 'quiet' from target system command line if
      debian-installer/quiet is set to false.
    - When /boot is on a loopback device (i.e. Wubi), install GRUB there.
  * Simplify /proc and /sys mounting; make sure they're consistently mounted
    for the entire life of grub-installer, and consistently unmounted on
    exit (LP: #851704).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 23 Sep 2011 21:29:13 +0100

grub-installer (1.68) unstable; urgency=low

  [ Matt Kraai ]
  * Write boot.cfg to /boot if using a separate /boot partition (closes:
    #637792).

  [ Colin Watson ]
  * Restore the ability to choose to install GRUB Legacy by preseeding
    (grub-installer/grub2_instead_of_grub_legacy=false), removed in 1.60 as
    a side-effect of removing a warning message.  This is still useful e.g.
    when installing inside Xen.

  [ Updated translations ]
  * Belarusian (be.po) by Viktar Siarheichyk
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bosnian (bs.po) by Armin Besirovic
  * German (de.po) by Holger Wansing
  * Esperanto (eo.po) by Felipe Castro
  * Spanish (es.po) by Javier Fernández-Sanguino
  * Hindi (hi.po) by Kumar Appaiah
  * Italian (it.po) by Milo Casagrande
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Changwoo Ryu
  * Dutch (nl.po) by Jeroen Schot
  * Panjabi (pa.po) by A S Alam
  * Polish (pl.po) by Marcin Owsiany
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Ioan Eugen Stan
  * Russian (ru.po) by Yuri Kozlov
  * Sinhala (si.po) by Danishka Navin
  * Tamil (ta.po) by Dr.T.Vasudevan
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Turkish (tr.po) by Mert Dirik
  * Ukrainian (uk.po) by Borys Yanovych
  * Simplified Chinese (zh_CN.po) by YunQiang Su

 -- Colin Watson <cjwatson@debian.org>  Fri, 23 Sep 2011 10:19:09 +0100

grub-installer (1.67) unstable; urgency=low

  * Team upload

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * Basque (eu.po)


=== debian/control ===
Source: grub-installer
Section: debian-installer
Priority: standard
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Otavio Salvador <otavio@debian.org>, Felix Zielcke <fzielcke@z-51.de>, Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper (>= 7.3.10~), po-debconf (>= 0.5.0), libparted-dev
XS-Debian-Vcs-Browser: http://git.debian.org/?p=d-i/grub-installer.git
XS-Debian-Vcs-Git: git://git.debian.org/d-i/grub-installer.git
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/grub-installer/ubuntu
DM-Upload-allowed: yes

Package: grub-installer
Architecture: i386 hurd-i386 amd64 kfreebsd-i386 kfreebsd-amd64 powerpc mipsel
XB-Subarchitecture: ${subarch}
Provides: bootable-system
Depends: cdebconf-udeb, kernel-installer, created-fstab, di-utils (>= 1.15), di-utils-mapdevfs, os-prober, partman-utils
XB-Installer-Menu-Item: 7400
XC-Package-Type: udeb
Description: Install GRUB on a hard disk

## grub-installer 1.69

=== debian/changelog ===
grub-installer (1.69) unstable; urgency=low

  [ Joey Hess ]
  * Simplify grub package selection code.
  * Don't allow using GRUB legacy when booting from btrfs.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama Khayat
  * Bosnian (bs.po) by Armin Besirovic
  * Dzongkha (dz.po) by Jurmey Rabgay
  * Persian (fa.po) by Behrad Eslamifar
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Kumar Appaiah
  * Khmer (km.po) by Chan Sambathratanak
  * Kannada (kn.po) by vignesh prabhu
  * Marathi (mr.po) by sampada
  * Polish (pl.po) by Marcin Owsiany
  * Slovak (sk.po) by Ivan Masár
  * Swedish (sv.po) by Martin Bagge / brother
  * Telugu (te.po) by Arjuna Rao Chavala

 -- Otavio Salvador <otavio@debian.org>  Sat, 19 Nov 2011 16:33:12 -0200

=== debian/control ===
Source: grub-installer
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Otavio Salvador <otavio@debian.org>, Felix Zielcke <fzielcke@z-51.de>, Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper (>= 7.3.10~), po-debconf (>= 0.5.0), libparted-dev
Vcs-Browser: http://git.debian.org/?p=d-i/grub-installer.git
Vcs-Git: git://git.debian.org/d-i/grub-installer.git
DM-Upload-allowed: yes

Package: grub-installer
Architecture: i386 hurd-i386 amd64 kfreebsd-i386 kfreebsd-amd64 powerpc mipsel
XB-Subarchitecture: ${subarch}
Provides: bootable-system
Depends: cdebconf-udeb, kernel-installer, created-fstab, di-utils (>= 1.15), di-utils-mapdevfs, os-prober, partman-utils
XB-Installer-Menu-Item: 7400
XC-Package-Type: udeb
Description: Install GRUB on a hard disk

## grub-installer 1.70

=== debian/changelog ===
grub-installer (1.70) unstable; urgency=low

  [ Updated translations ]
  * Arabic (ar.po) by Ossama Khayat
  * Asturian (ast.po) by Mikel González
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bengali (bn.po) by Ayesha Akhtar
  * Catalan (ca.po) by Jordi Mallach
  * Danish (da.po) by Joe Hansen
  * Greek (el.po) by galaxico
  * Estonian (et.po) by Mattias Põldaru
  * Indonesian (id.po) by Mahyuddin Susanto
  * Icelandic (is.po) by Sveinn í Felli
  * Italian (it.po) by Milo Casagrande
  * Khmer (km.po) by Khoem Sokhem
  * Kannada (kn.po) by Prabodh C P
  * Norwegian Bokmal (nb.po) by Hans Fredrik Nordhaug
  * Polish (pl.po) by Marcin Owsiany
  * Romanian (ro.po) by Ioan Eugen Stan
  * Serbian (sr.po) by Karolina Kalic
  * Turkish (tr.po) by Mert Dirik

 -- Otavio Salvador <otavio@debian.org>  Thu, 15 Mar 2012 14:44:37 -0300
